Bug 449201 - "createrepo -C directory" is broken
"createrepo -C directory" is broken
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
9
noarch Linux
low Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 03:44 EDT by nvwarr
Modified: 2016-09-19 22:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 23:17:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Possible fix, from upstream git (727 bytes, patch)
2008-09-23 16:09 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description nvwarr 2008-05-31 03:44:57 EDT
Description of problem: 
 
"createrepo -C directory" and "createrepo --checkts directory" are broken. 
 
Version-Release number of selected component (if applicable): 
 
createrepo-0.9.5-2.fc9.noarch 
 
How reproducible: 
 
Always 
 
Steps to Reproduce: 
1. set up a repository at mybasedir 
2. createrepo mybasedir 
3. add a package to the repository 
4. createrepo -C mybasedir 
   
Actual results: 
 
The call to createrepo without -C works. The call with -C gives the following 
output: 
 
Traceback (most recent call last): 
  File "/usr/share/createrepo/genpkgmetadata.py", line 175, in <module> 
    main(sys.argv[1:]) 
  File "/usr/share/createrepo/genpkgmetadata.py", line 153, in main 
    if mdgen.checkTimeStamps(): 
  File "/usr/lib/python2.5/site-packages/createrepo/__init__.py", line 249, in 
checkTimeStamps 
    files = self.getFileList(self.conf.basedir, self.conf.directory, '.rpm') 
TypeError: getFileList() takes exactly 3 arguments (4 given) 
 
Expected results: 
 
The second call should rebuild the repository data, but only looking at files 
with timestamps later than the original data.
Comment 1 Vince Schiavoni 2008-06-24 06:28:36 EDT
Hello:

I'm pretty sure I'm seeing the symptoms of the same bug:

[root@localhost Tue Jun 24 06:13:45 ~]# createrepo -vd -c /usr/src/redhat/RPMS/
i386/repodata/chksumcache/ /usr/src/redhat/RPMS/i386/
1/48 - ...
[...]
48/48 - ...

Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Starting other db creation: Tue Jun 24 06:14:52 2008
Ending other db creation: Tue Jun 24 06:14:52 2008
Starting filelists db creation: Tue Jun 24 06:14:52 2008
Ending filelists db creation: Tue Jun 24 06:14:53 2008
Starting primary db creation: Tue Jun 24 06:14:53 2008

(process:25554): GLib-WARNING **: GError set over the top of a previous GError 
or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before 
it's set.
The overwriting error message was: Parsing primary.xml error: PCDATA invalid 
Char value 8


(process:25554): GLib-WARNING **: GError set over the top of a previous GError 
or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before 
it's set.
The overwriting error message was: Parsing primary.xml error: Entity 'amp' not 
defined

Traceback (most recent call last):
  File "/usr/share/createrepo/genpkgmetadata.py", line 175, in <module>
    main(sys.argv[1:])
  File "/usr/share/createrepo/genpkgmetadata.py", line 159, in main
    mdgen.doRepoMetadata()
  File "/usr/lib/python2.5/site-packages/createrepo/__init__.py", line 558, in 
doRepoMetadata
    rp.getPrimary(complete_path, csum)
  File "/usr/lib/python2.5/site-packages/sqlitecachec.py", line 45, in 
getPrimary
    self.repoid))
TypeError: Parsing primary.xml error: PCDATA invalid Char value 8

[root@localhost Tue Jun 24 06:14:53 ~]#

createrepo-0.9.5-2.fc9.noarch
kernel-2.6.25.6-55.fc9.i686

Regards,
VJS
Comment 2 Ville Skyttä 2008-09-23 16:09:40 EDT
Created attachment 317529 [details]
Possible fix, from upstream git
Comment 3 Daniel Berrange 2008-12-30 10:46:59 EST
I've confirmed the patch Ville posted in comment #2 works on my F9 i386 system with createrepo-0.9.5-2.fc9.noarch. Please can someone build and push an update for F9 with this patch....
Comment 4 seth vidal 2009-01-05 23:17:26 EST
updated f9 to createrepo 0.9.6 which includes this fix.

look for 0.9.6-3 shortly.
Comment 5 Fedora Update System 2009-01-05 23:34:53 EST
createrepo-0.9.6-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/createrepo-0.9.6-3.fc9
Comment 6 Fedora Update System 2009-01-23 21:35:27 EST
createrepo-0.9.6-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.